using System;
using System.Collections.Generic;
using System.Web.Http;
using iiie.WebApiUtils.BusinessManager;
using WebAPiUtils_test.BusinessManager;
using WebAPiUtils_test.DBO;

namespace WebAPiUtils_test.Controllers
{
    public class ValuesController : ApiController
    {
        // GET api/values
        public IEnumerable<string> Get()
        {
            throw new Exception("Something went wrong...");
        }

        // GET api/values/5
        public ValuesDbo Get(int id)
        {
            return BMRHandler<ValuesDbo>.Handle(ValuesBusiness.Get(id), Request);
        }

        [HttpGet]
        [Route("api/values/contains")]
        public IEnumerable<ValuesDbo> Contains(string text)
        {
            return BMRHandler<IEnumerable<ValuesDbo>>.Handle(ValuesBusiness.Contains(text), Request);
        }

        // POST api/values
        public void Post([FromBody]MyDbo value)
        {
        }

        // PUT api/values/5
        public void Put(int id, [FromBody]string value)
        {
        }

        // DELETE api/values/5
        public void Delete(int id)
        {
        }
    }
}
